Index: lib/spatial/mapbuilder/lib/util/sarissa/Sarissa.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/sarissa/Sarissa.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/util/sarissa/Sarissa.js	(revision 4307)
@@ -442,17 +472,16 @@
      */
     Sarissa.getParseErrorText = function (oDoc){
         var parseErrorText = Sarissa.PARSED_OK;
-        if(oDoc && oDoc.parseError && oDoc.parseError != 0){
-            /*moz*/
-            if(oDoc.documentElement.tagName == "parsererror"){
-                parseErrorText = oDoc.documentElement.firstChild.data;
-                parseErrorText += "\n" +  oDoc.documentElement.firstChild.nextSibling.firstChild.data;
-            }/*konq*/
-            else{
-                parseErrorText = Sarissa.getText(oDoc.documentElement);/*.getElementsByTagName("h1")[0], false) + "\n";
-                parseErrorText += Sarissa.getText(oDoc.documentElement.getElementsByTagName("body")[0], false) + "\n";
-                parseErrorText += Sarissa.getText(oDoc.documentElement.getElementsByTagName("pre")[0], false);*/
-            };
+        if(!oDoc.documentElement){
+            parseErrorText = Sarissa.PARSED_EMPTY;
+        } else if(oDoc.documentElement.tagName == "parsererror"){
+            parseErrorText = oDoc.documentElement.firstChild.data;
+            parseErrorText += "\n" +  oDoc.documentElement.firstChild.nextSibling.firstChild.data;
+        } else if(oDoc.getElementsByTagName("parsererror").length > 0){
+            var parsererror = oDoc.getElementsByTagName("parsererror")[0];
+            parseErrorText = Sarissa.getText(parsererror, true)+"\n";
+        } else if(oDoc.parseError && oDoc.parseError.errorCode != 0){
+            parseErrorText = Sarissa.PARSED_UNKNOWN_ERROR;
         };
         return parseErrorText;
     };
@@ -465,7 +494,7 @@
         var nodeType = node.nodeType;
         if(nodeType == Node.TEXT_NODE || nodeType == Node.CDATA_SECTION_NODE){
             s += node.data;
-        }else if(deep == true
+        } else if(deep == true
                     && (nodeType == Node.ELEMENT_NODE
                         || nodeType == Node.DOCUMENT_NODE
                         || nodeType == Node.DOCUMENT_FRAGMENT_NODE)){
@@ -474,41 +503,21 @@
     };
     return s;
 };
-if(window.XMLSerializer){
+if(!window.XMLSerializer 
+    && Sarissa.getDomDocument 
+    && Sarissa.getDomDocument("","foo", null).xml){
     /**
-     * <p>Factory method to obtain the serialization of a DOM Node</p>
-     * @returns the serialized Node as an XML string
+     * Utility class to serialize DOM Node objects to XML strings
+     * @constructor
      */
-    Sarissa.serialize = function(oDoc){
-        var s = null;
-        if(oDoc){
-            s = oDoc.innerHTML?oDoc.innerHTML:(new XMLSerializer()).serializeToString(oDoc);
-        };
-        return s;
+    XMLSerializer = function(){};
+    /**
+     * Serialize the given DOM Node to an XML string
+     * @param oNode the DOM Node to serialize
+     */
+    XMLSerializer.prototype.serializeToString = function(oNode) {
+        return oNode.xml;
     };
-}else{
-    if(Sarissa.getDomDocument && (Sarissa.getDomDocument("","foo", null)).xml){
-        // see non-IE version
-        Sarissa.serialize = function(oDoc) {
-            var s = null;
-            if(oDoc){
-                s = oDoc.innerHTML?oDoc.innerHTML:oDoc.xml;
-            };
-            return s;
-        };
-        /**
-         * Utility class to serialize DOM Node objects to XML strings
-         * @constructor
-         */
-        XMLSerializer = function(){};
-        /**
-         * Serialize the given DOM Node to an XML string
-         * @param oNode the DOM Node to serialize
-         */
-        XMLSerializer.prototype.serializeToString = function(oNode) {
-            return oNode.xml;
-        };
-    };
 };
 
 /**
@@ -523,7 +532,7 @@
  */
 Sarissa.clearChildNodes = function(oNode) {
     // need to check for firstChild due to opera 8 bug with hasChildNodes
-    while(oNode.firstChild){
+    while(oNode.firstChild) {
         oNode.removeChild(oNode.firstChild);
     };
 };
@@ -544,12 +553,11 @@
     };
     var ownerDoc = nodeTo.nodeType == Node.DOCUMENT_NODE ? nodeTo : nodeTo.ownerDocument;
     var nodes = nodeFrom.childNodes;
-    if(ownerDoc.importNode && (!_SARISSA_IS_IE)) {
+    if(typeof(ownerDoc.importNode) != "undefined")  {
         for(var i=0;i < nodes.length;i++) {
             nodeTo.appendChild(ownerDoc.importNode(nodes[i], true));
         };
-    }
-    else{
+    } else {
         for(var i=0;i < nodes.length;i++) {
             nodeTo.appendChild(nodes[i].cloneNode(true));
         };
@@ -577,9 +585,9 @@
         while(nodeFrom.firstChild){
             nodeTo.appendChild(nodeFrom.firstChild);
         };
-    }else{
+    } else {
         var ownerDoc = nodeTo.nodeType == Node.DOCUMENT_NODE ? nodeTo : nodeTo.ownerDocument;
-        if(ownerDoc.importNode && (!_SARISSA_IS_IE)) {
+        if(typeof(ownerDoc.importNode) != "undefined") {
            for(var i=0;i < nodes.length;i++) {
                nodeTo.appendChild(ownerDoc.importNode(nodes[i], true));
            };
Index: lib/spatial/mapbuilder/lib/tool/xsl/wps_DescribeProcess.xsl
===================================================================
--- lib/spatial/mapbuilder/lib/tool/xsl/wps_DescribeProcess.xsl	(revision 4306)
+++ lib/spatial/mapbuilder/lib/tool/xsl/wps_DescribeProcess.xsl	(revision 4307)
@@ -1,55 +1,6 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<!--
-Description: transforms a WFS FeatureType node to a DescribeFeatureType request
-Author:      adair
-Licence:     LGPL as specified in http://www.gnu.org/copyleft/lesser.html .
-
-$Id$
-$Name$
--->
-
-<xsl:stylesheet version="1.0" 
-    xmlns:wps="http://www.opengis.net/wps"
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-		xmlns:ogc="http://www.opengis.net/ogc"
-    xmlns:ows="http://www.opengis.net/ows"
-    xmlns:mb="http://mapbuilder.sourceforge.net/mapbuilder" 
-		xmlns:gml="http://www.opengis.net/gml"
-    xmlns:xlink="http://www.w3.org/1999/xlink">
-
-  <xsl:output method="xml" omit-xml-declaration="no" encoding="utf-8" indent="yes"/>
-
-  <xsl:param name="httpMethod">get</xsl:param>
-  <xsl:param name="version"/>
-  
-  <!-- template rule matching source root element -->
-  <xsl:template match="/wps:Capabilities/wps:ProcessOfferings">
-    <DescribeProcess version="{$version}" service="WPS">
-      <xsl:apply-templates select="wps:Process"/>
-    </DescribeProcess>
-  </xsl:template>
-
-  <!-- template rule matching source root element -->
-  <xsl:template match="wps:Process">
-    <xsl:choose>
-      <xsl:when test="$httpMethod='post'">
-        <ProcessName><xsl:value-of select="wps:Name"/></ProcessName>
-      </xsl:when>
-      <xsl:otherwise>
-        <mb:QueryString>
-          <xsl:variable name="query">
+<?xml version="1.0"?>
+<xsl:stylesheet xmlns:wps="http://www.opengis.net/wps" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ogc="http://www.opengis.net/ogc" xmlns:ows="http://www.opengis.net/ows" xmlns:mb="http://mapbuilder.sourceforge.net/mapbuilder" xmlns:gml="http://www.opengis.net/gml" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0"><xsl:output method="xml" omit-xml-declaration="yes" encoding="utf-8" indent="yes"/><xsl:param name="httpMethod">get</xsl:param><xsl:param name="version"/><xsl:template match="/wps:Capabilities/wps:ProcessOfferings"><DescribeProcess version="{$version}" service="WPS"><xsl:apply-templates select="wps:Process"/></DescribeProcess></xsl:template><xsl:template match="wps:Process"><xsl:choose><xsl:when test="$httpMethod='post'"><ProcessName><xsl:value-of select="wps:Name"/></ProcessName></xsl:when><xsl:otherwise><mb:QueryString><xsl:variable name="query">
       request=DescribeProcess
  &amp;service=WPS
  &amp;version=<xsl:value-of select="$version"/>
-&amp;ProcessName=<xsl:value-of select="wps:Name"/>
-          </xsl:variable>
-          <xsl:value-of select="translate(normalize-space($query),' ', '' )" disable-output-escaping="no"/>
-        </mb:QueryString>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-
-  <xsl:template match="text()|@*"/>
-
-</xsl:stylesheet>
+&amp;ProcessName=<xsl:value-of select="wps:Name"/></xsl:variable><xsl:value-of select="translate(normalize-space($query),' ', '' )" disable-output-escaping="no"/></mb:QueryString></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="text()|@*"/></xsl:stylesheet>
Index: lib/spatial/mapbuilder/lib/util/Listener.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/Listener.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/util/Listener.js	(revision 4307)
@@ -1,6 +1,6 @@
 /*
 License: LGPL as per: http://www.gnu.org/copyleft/lesser.html
-$Id$
+$Id: Listener.js 3835 2008-02-13 02:20:23Z ahocevar $
 */
 
 /**
@@ -40,6 +40,9 @@
     //  }
     //}
     this.listeners[param].push(new Array(listener,target));
+    if( !listener ) {
+       alert(mbGetMessage("undefinedListener", target.id));
+    }
   }
 
   /**
@@ -56,6 +59,9 @@
     }
     this.removeListener(param,listener,target);
     this.listeners[param].unshift(new Array(listener,target));
+    if( !listener ) {
+       alert(mbGetMessage("undefinedListener", target));
+    }
   }
 
   /**
@@ -94,7 +100,7 @@
         if (this.listeners[param][i][0]) {
           this.listeners[param][i][0](this.listeners[param][i][1],value);
         } else {
-          alert("Listener error: param="+param+", target="+this.listeners[param][i][1].id+", callBackFunction="+this.listeners[param][i][0]);
+          alert(mbGetMessage("listenerError", param, this.listeners[param][i][1].id, this.listeners[param][i][0]));
         }
       }
     }
Index: lib/spatial/mapbuilder/lib/util/sarissa/sarissa_ieemu_load.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/sarissa/sarissa_ieemu_load.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/util/sarissa/sarissa_ieemu_load.js	(revision 4307)
@@ -0,0 +1,236 @@
+/**
+ * ====================================================================
+ * About
+ * ====================================================================
+ * Sarissa cross browser XML library - IE .load eulation (deprecated)
+ * @version 0.9.7.6
+ * @author: Manos Batsis, mailto: mbatsis at users full stop sourceforge full stop net
+ *
+ * This script emulates Internet Explorer's .load method of DOM Document objects. 
+ *
+ * All functionality in this file is DEPRECATED, XMLHttpRequest objects 
+ * should be used to load XML documents instead 
+ *
+ * @version 0.9.7.6
+ * @author: Manos Batsis, mailto: mbatsis at users full stop sourceforge full stop net
+ * ====================================================================
+ * Licence
+ * ====================================================================
+ * Sarissa is free software distributed under the GNU GPL version 2 (see <a href="gpl.txt">gpl.txt</a>) or higher, 
+ * GNU LGPL version 2.1 (see <a href="lgpl.txt">lgpl.txt</a>) or higher and Apache Software License 2.0 or higher 
+ * (see <a href="asl.txt">asl.txt</a>). This means you can choose one of the three and use that if you like. If 
+ * you make modifications under the ASL, i would appreciate it if you submitted those.
+ * In case your copy of Sarissa does not include the license texts, you may find
+ * them online in various formats at <a href="http://www.gnu.org">http://www.gnu.org</a> and 
+ * <a href="http://www.apache.org">http://www.apache.org</a>.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY 
+ * KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
+ * WARRANTIES OF MERCHANTABILITY,FITNESS FOR A PARTICULAR PURPOSE 
+ * AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR 
+ * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
+ * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
+ * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+if(!_SARISSA_IS_IE){
+    if(_SARISSA_HAS_DOM_CREATE_DOCUMENT){
+        /**
+         * <p>Ensures the document was loaded correctly, otherwise sets the
+         * parseError to -1 to indicate something went wrong. Internal use</p>
+         * @private
+         */
+        Sarissa.__handleLoad__ = function(oDoc){
+            Sarissa.__setReadyState__(oDoc, 4);
+        };
+        function SarissaParseError() {
+            this.errorCode = 0;
+        };
+        /**
+        * <p>Attached by an event handler to the load event. Internal use.</p>
+        * @private
+        */
+        _sarissa_XMLDocument_onload = function(){
+            Sarissa.__handleLoad__(this);
+        };
+        /**
+         * <p>Sets the readyState property of the given DOM Document object.
+         * Internal use.</p>
+         * @private
+         * @argument oDoc the DOM Document object to fire the
+         *          readystatechange event
+         * @argument iReadyState the number to change the readystate property to
+         */
+        Sarissa.__setReadyState__ = function(oDoc, iReadyState){
+            oDoc.readyState = iReadyState;
+            oDoc.readystate = iReadyState;
+            if (oDoc.onreadystatechange != null && typeof oDoc.onreadystatechange == "function")
+                oDoc.onreadystatechange();
+        };
+        Sarissa.getDomDocument = function(sUri, sName){
+            
+            var oDoc = document.implementation.createDocument(sUri?sUri:null, sName?sName:null, null);
+            if(!oDoc.onreadystatechange){
+            
+                /**
+                * <p>Emulate IE's onreadystatechange attribute</p>
+                */
+                oDoc.onreadystatechange = null;
+            };
+            if(!oDoc.readyState){
+                /**
+                * <p>Emulates IE's readyState property, which always gives an integer from 0 to 4:</p>
+                * <ul><li>1 == LOADING,</li>
+                * <li>2 == LOADED,</li>
+                * <li>3 == INTERACTIVE,</li>
+                * <li>4 == COMPLETED</li></ul>
+                */
+                oDoc.readyState = 0;
+            };
+            if(!oDoc.parseError){
+                oDoc.parseError = new SarissaParseError();
+            };
+            oDoc.addEventListener("load", _sarissa_XMLDocument_onload, false);
+            return oDoc;
+        };
+        if(window.XMLDocument){
+            /**
+            * <p>Keeps a handle to the original load() method. Internal use and only
+            * if Mozilla version is lower than 1.4</p>
+            * @private
+            */
+            XMLDocument.prototype._sarissa_load = XMLDocument.prototype.load;
+            // NOTE: setting async to false will only work with documents
+            // called over HTTP (meaning a server), not the local file system,
+            // unless you are using Moz 1.4+.
+        
+            /**
+            * <p>This is deprecated, use XMLHttpRequest to load remote documents instead. 
+            * Overrides the original load method to provide synchronous loading for
+            * Mozilla versions prior to 1.4 and fix ready state stuff.</p>
+            * @deprecated 
+            * @returns the DOM Object as it was before the load() call (may be  empty)
+            */
+            XMLDocument.prototype.load = function(sURI) {
+                var oDoc = Sarissa.getDomDocument();
+                Sarissa.copyChildNodes(this, oDoc);
+                this.parseError.errorCode = 0;
+                Sarissa.__setReadyState__(this, 1);
+                try {
+                    if(this.async == false && _SARISSA_SYNC_NON_IMPLEMENTED) {
+                        var tmp = new XMLHttpRequest();
+                        tmp.open("GET", sURI, false);
+                        tmp.send(null);
+                        Sarissa.__setReadyState__(this, 2);
+                        Sarissa.copyChildNodes(tmp.responseXML, this);
+                        Sarissa.__setReadyState__(this, 3);
+                    }else{
+                        this._sarissa_load(sURI);
+                    };
+                }
+                catch (objException) {
+                        oDoc.parseError.errorCode = -1;
+                }
+                finally {
+                    if (!oDoc.documentElement || oDoc.documentElement.tagName == "parsererror"){
+                        oDoc.parseError.errorCode = -1;
+                    };
+                    if(this.async == false){
+                        Sarissa.__handleLoad__(this);
+                    };
+                };
+                return oDoc;
+            };
+        //if(window.XMLDocument) , now mainly for opera  
+        }// TODO: check if the new document has content before trying to copynodes, check  for error handling in DOM 3 LS
+        else if(document.implementation && document.implementation.hasFeature && document.implementation.hasFeature('LS', '3.0')){
+            Document.prototype.async = true;
+            Document.prototype.onreadystatechange = null;
+            Document.prototype.load = function(sURI) {
+                var oldDoc = Sarissa.getDomDocument();
+                Sarissa.copyChildNodes(this, oldDoc, false);
+                var parser = document.implementation.createLSParser(this.async ? document.implementation.MODE_ASYNCHRONOUS : document.implementation.MODE_SYNCHRONOUS, null);
+                if(this.async){
+                    var self = this;
+                    parser.addEventListener("load", 
+                        function(e) { 
+                              self.readyState = 4;
+                              Sarissa.copyChildNodes(e.newDocument, self, false);
+                              self.onreadystatechange.call(); 
+                        }, 
+                        false); 
+                };
+                try {
+                    var oDoc = parser.parseURI(sURI);
+                    if(!this.async) {
+                        Sarissa.copyChildNodes(oDoc, this, false);
+                    };
+                }
+                catch(e){
+                    this.parseError.errorCode = -1;
+                };
+                return oldDoc;
+            };
+            /**
+            * <p>Factory method to obtain a new DOM Document object</p>
+            * @argument sUri the namespace of the root node (if any)
+            * @argument sUri the local name of the root node (if any)
+            * @returns a new DOM Document
+            */
+            Sarissa.getDomDocument = function(sUri, sName){
+                var oDoc = document.implementation.createDocument(sUri?sUri:null, sName?sName:null, null);
+                if(!oDoc.parseError){
+                    oDoc.parseError = {errorCode:0};
+                };
+                return oDoc;
+            };
+        }
+        else {
+            Sarissa.getDomDocument = function(sUri, sName){
+                var oDoc = document.implementation.createDocument(sUri?sUri:null, sName?sName:null, null);
+                // looks like safari does not create the root element for some unknown reason
+                if(oDoc && (sUri || sName) && !oDoc.documentElement){
+                    oDoc.appendChild(oDoc.createElementNS(sUri, sName));
+                };
+                // attachb to the new object as we have no prototype to use, this is for safari
+                if(!oDoc.load) {
+                        oDoc.load = function(sUrl) {
+                            var oldDoc = document.implementation.createDocument();
+                            Sarissa.copyChildNodes(this, oldDoc);
+                            this.parseError = {errorCode : 0};
+                            Sarissa.__setReadyState__(this, 1);
+                            if(this.async == false) {
+                                var tmp = new XMLHttpRequest();
+                                tmp.open("GET", sUrl, false);
+                                tmp.send(null);
+                                Sarissa.__setReadyState__(this, 2);
+                                Sarissa.copyChildNodes(tmp.responseXML, oDoc);
+                                if(!oDoc.documentElement || oDoc.getElementsByTagName("parsererror").length >0){
+                                    oDoc.parseError.errorCode = -1;
+                                };
+                                Sarissa.__setReadyState__(this, 3);
+                                Sarissa.__setReadyState__(this, 4);
+                            }
+                            else {
+                                var xmlhttp = new XMLHttpRequest();
+                                xmlhttp.open('GET', sUrl, true);
+                                xmlhttp.onreadystatechange = function(){
+                                    if (xmlhttp.readyState == 4) {
+                                        Sarissa.copyChildNodes(xmlhttp.responseXML, oDoc);
+                                        if(!oDoc.documentElement || oDoc.getElementsByTagName("parsererror").length > 0){
+                                            oDoc.parseError.errorCode = -1;
+                                        };      
+                                    };
+                                Sarissa.__setReadyState__(oDoc, xmlhttp.readyState);
+                                };
+                                xmlhttp.send(null);
+                            };
+                            return oldDoc;
+                        };
+                };
+                return oDoc;
+            };
+        };
+    };//if(_SARISSA_HAS_DOM_CREATE_DOCUMENT)
+};
+//   EOF
Index: lib/spatial/mapbuilder/lib/util/sarissa/sarissa_ieemu_xslt.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/sarissa/sarissa_ieemu_xslt.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/util/sarissa/sarissa_ieemu_xslt.js	(revision 4307)
@@ -3,7 +3,7 @@
  * About
  * ====================================================================
  * Sarissa cross browser XML library - IE XSLT Emulation (deprecated)
- * @version 0.9.6.1
+ * @version 0.9.7.6
  * @author: Manos Batsis, mailto: mbatsis at users full stop sourceforge full stop net
  *
  * This script emulates Internet Explorer's transformNode and transformNodeToObject
@@ -12,25 +12,25 @@
  *
  * All functionality in this file is DEPRECATED, the XSLTProcessor
  * should be used instead.
- * 
+ *
  * ====================================================================
  * Licence
  * ====================================================================
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 or
- * the GNU Lesser General Public License version 2.1 as published by
- * the Free Software Foundation (your choice between the two).
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License or GNU Lesser General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * or GNU Lesser General Public License along with this program; if not,
- * write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- * or visit http://www.gnu.org
- *
+ * Sarissa is free software distributed under the GNU GPL version 2 (see <a href="gpl.txt">gpl.txt</a>) or higher, 
+ * GNU LGPL version 2.1 (see <a href="lgpl.txt">lgpl.txt</a>) or higher and Apache Software License 2.0 or higher 
+ * (see <a href="asl.txt">asl.txt</a>). This means you can choose one of the three and use that if you like. If 
+ * you make modifications under the ASL, i would appreciate it if you submitted those.
+ * In case your copy of Sarissa does not include the license texts, you may find
+ * them online in various formats at <a href="http://www.gnu.org">http://www.gnu.org</a> and 
+ * <a href="http://www.apache.org">http://www.apache.org</a>.
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY 
+ * KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
+ * WARRANTIES OF MERCHANTABILITY,FITNESS FOR A PARTICULAR PURPOSE 
+ * AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR 
+ * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
+ * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
+ * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
 if(!Sarissa.IS_ENABLED_TRANSFORM_NODE && window.XSLTProcessor){
     /** 
@@ -42,7 +42,7 @@
      * @argument xslDoc The stylesheet to use (a DOM Document instance)
      * @argument oResult The Document to store the transformation result
      */
-    Element.prototype.transformNodeToObject = function(xslDoc, oResult){
+    XMLElement.prototype.transformNodeToObject = function(xslDoc, oResult){
         var oDoc = document.implementation.createDocument("", "", null);
         Sarissa.copyChildNodes(this, oDoc);
         oDoc.transformNodeToObject(xslDoc, oResult);
@@ -90,7 +90,7 @@
      * @argument xslDoc The stylesheet to use (a DOM Document instance)
      * @returns the result of the transformation serialized to an XML String
      */
-    Element.prototype.transformNode = function(xslDoc){
+    XMLElement.prototype.transformNode = function(xslDoc){
         var oDoc = document.implementation.createDocument("", "", null);
         Sarissa.copyChildNodes(this, oDoc);
         return oDoc.transformNode(xslDoc);
@@ -119,7 +119,7 @@
     Sarissa.IS_ENABLED_TRANSFORM_NODE = true;
 };
 /**
- * <p><b>Deprecated, will be removed in 0.9.6 (use XSLTProcessor instead): </b>Set xslt parameters.</p>
+ * <p>Deprecated (use XSLTProcessor instead): Set xslt parameters.</p>
  * <p><b>Note </b> that this method can only work for the main stylesheet and not any included/imported files.</p>
  * @deprecated use the XSLTProcessor instead
  * @argument oXslDoc the target XSLT DOM Document
Index: lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG27563.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG27563.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG27563.js	(revision 4307)
@@ -0,0 +1 @@
+Proj4js.defs["EPSG:27563"]="+title=LAMB sud france  +proj=lcc +lat_1=44.10000000000001 +lat_0=44.10000000000001 +lon_0=2.33722917 +k_0=0.999877499 +x_0=600000 +y_0=200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m";
\ No newline at end of file
Index: lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG102028.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG102028.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG102028.js	(revision 4307)
@@ -0,0 +1,11 @@
+//# Asia South Albers Equal Area Conic
+//<102028> +proj=aea +lat_1=7 +lat_2=-32 +lat_0=-15 +lon_0=125 +x_0=0 +y_0=0 +ellps=WGS84 +datum=WGS84 +units=m  no_defs <>
+
+Proj4js.defs["EPSG:102028"] = "\
+  +title=Asia South Albers Equal Area Conic EPSG:102028\
+  +proj=aea \
+ +lat_1=7 +lat_2=-32 +lat_0=-15 +lon_0=125 \
+  +x_0=0 +y_0=0 \
+  +ellps=WGS84 +datum=WGS84\
+  +units=m\
+";
Index: lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG32620.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG32620.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG32620.js	(revision 4307)
@@ -0,0 +1 @@
+Proj4js.defs["EPSG:32620"] = "+proj=utm +zone=20 +ellps=WGS84 +datum=WGS84 +units=m +no_defs ";
\ No newline at end of file
Index: lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG31282.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG31282.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG31282.js	(revision 4307)
@@ -0,0 +1 @@
+Proj4js.defs["EPSG:31282"] = "+title=MGI (Ferro) / Austria Central Zone EPSG:31282 +proj=tmerc +lat_0=0 +lon_0=31 +k=1.000000 +x_0=0 +y_0=0 +ellps=bessel +pm=ferro +towgs84=577.326,90.129,463.919,5.137,1.474,5.297,2.4232 +units=m +no_defs";
Index: lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG32705.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG32705.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG32705.js	(revision 4307)
@@ -0,0 +1 @@
+Proj4js.defs["EPSG:32705"] = "+proj=utm +zone=5 +south +ellps=WGS84 +datum=WGS84 +units=m +no_defs ";
\ No newline at end of file
Index: lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG31294.js
===================================================================
--- lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG31294.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/util/proj4js/defs/EPSG31294.js	(revision 4307)
@@ -0,0 +1,3 @@
+//# MGI / M28
+//<31294> +proj=tmerc +lat_0=0 +lon_0=10.33333333333333 +k=1.000000 +x_0=150000 +y_0=0 +ellps=bessel +units=m +no_defs  <>
+Proj4js.defs["EPSG:31294"] = "+title=MGI / M31 EPSG:31294 +proj=tmerc +lat_0=0 +lon_0=10.33333333333333 +k=1.000000 +x_0=150000 +y_0=0 +ellps=bessel +towgs84=577.326,90.129,463.919,5.137,1.474,5.297,2.4232 +units=m";
